import * as React from 'react';
import './Nav.scss';
import { INav, INavProps } from './Nav.Props';
export interface INavState {
    isGroupExpanded: boolean[];
}
export declare class Nav extends React.Component<INavProps, INavState> implements INav {
    static defaultProps: INavProps;
    private _selectedKey;
    constructor();
    render(): React.ReactElement<{}>;
    selectedKey: string;
    private _renderLink(link, linkIndex, nestingLevel, hasGroupButton);
    private _renderLinks(links, nestingLevel, hasGroupButton);
    private _renderGroup(group, groupIndex);
    private _onGroupHeaderClicked(groupIndex, ev);
}
